<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::shape_predictor_trainer::training_sample Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">shape_predictor_trainer</a></li><li class="navelem"><a class="el" href="structdlib_1_1shape__predictor__trainer_1_1training__sample.html">training_sample</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1shape__predictor__trainer_1_1training__sample-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::shape_predictor_trainer::training_sample Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7c7df05e444134e7af84d57876a0b035"><td class="memItemLeft" align="right" valign="top"><a id="a7c7df05e444134e7af84d57876a0b035"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="structdlib_1_1shape__predictor__trainer_1_1training__sample.html">training_sample</a> &amp;item)</td></tr>
<tr class="separator:a7c7df05e444134e7af84d57876a0b035"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5885c66ba53dba11b62f4e243202d3a3"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1shape__predictor__trainer_1_1training__sample.html#a5885c66ba53dba11b62f4e243202d3a3">image_idx</a></td></tr>
<tr class="separator:a5885c66ba53dba11b62f4e243202d3a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a041beef640d27023e0e11de5060a2909"><td class="memItemLeft" align="right" valign="top"><a id="a041beef640d27023e0e11de5060a2909"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect</b></td></tr>
<tr class="separator:a041beef640d27023e0e11de5060a2909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ffbd728e36ef733eb0b9a4d0def0f67"><td class="memItemLeft" align="right" valign="top"><a id="a9ffbd728e36ef733eb0b9a4d0def0f67"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; float, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>target_shape</b></td></tr>
<tr class="separator:a9ffbd728e36ef733eb0b9a4d0def0f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb80a9c39145bfceae15c2220c6bd8c1"><td class="memItemLeft" align="right" valign="top"><a id="afb80a9c39145bfceae15c2220c6bd8c1"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; float, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>present</b></td></tr>
<tr class="separator:afb80a9c39145bfceae15c2220c6bd8c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a328bbcd4440291871e3e67e3feeb9bbc"><td class="memItemLeft" align="right" valign="top"><a id="a328bbcd4440291871e3e67e3feeb9bbc"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; float, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>current_shape</b></td></tr>
<tr class="separator:a328bbcd4440291871e3e67e3feeb9bbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaacc8232fea469ec883d86e8af654130"><td class="memItemLeft" align="right" valign="top"><a id="aaacc8232fea469ec883d86e8af654130"></a>
std::vector&lt; float &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_pixel_values</b></td></tr>
<tr class="separator:aaacc8232fea469ec883d86e8af654130"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a5885c66ba53dba11b62f4e243202d3a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5885c66ba53dba11b62f4e243202d3a3">&#9670;&nbsp;</a></span>image_idx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long dlib::shape_predictor_trainer::training_sample::image_idx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>CONVENTION</p><ul>
<li>feature_pixel_values.size() == get_feature_pool_size()</li>
<li>feature_pixel_values[j] == the value of the j-th feature pool pixel when you look it up relative to the shape in current_shape.</li>
<li>target_shape == The truth shape. Stays constant during the whole training process (except for the parts that are not present, those are always equal to the current_shape values).</li>
<li>present == 0/1 mask saying which parts of target_shape are present.</li>
<li>rect == the position of the object in the image_idx-th image. All shape coordinates are coded relative to this rectangle. ! </li>
</ul>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="shape__predictor_8h_source.html">shape_predictor.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
